1. MSB
getneo
  • Introduction
  • API examples
  • Technical topics
    • API structure
    • HTTP headers
    • Decoupled responses
    • Validation failures (418)
  • Endpoints
    • Auth
      • Get service bearer token (password)
        GET
      • Change tenant
        GET
      • Close session
        GET
    • Counterparties
      • List counterparties
        GET
      • Get counterparty by ID
        GET
      • Get draft counterparty by ID
        GET
      • Submit counterparty draft
        POST
      • Update counterparty draft
        POST
      • Delete a counterparty draft
        DELETE
      • Add account to counterparty
        POST
      • Update counterparty account
        PATCH
      • Export counterparty data
        POST
      • Verify payee details
        POST
    • MSB
      • List subclients
        GET
      • Get a subclient by ID
        GET
      • Create a new subclient
        POST
      • Update a subclient
        PATCH
    • Payments
      • List payments
        GET
      • Get a payment by ID
        GET
      • Make a payment (deposit, withdrawal or internal)
        POST
    • Trading
      • Quote order
      • Submit order
    • Wallets
      • List wallets
      • Get a wallet by ID
  • Schemas
    • Reference
      • actions
      • bic_swift
      • country
      • currency
      • entity_key
    • Enums
      • OrderTypes
    • Subclients
      • subclientAddressesModel
      • subclientDetailsModel
      • subclientParentModel
      • subclientAdditionalInformationModel
      • subclientResponseModel
      • subclientRequestModel
      • subclientRegulatorsModel
      • subclientInternalInformationModel
      • subclientRegulatorModel
      • subclientKycModel
      • subclientKycDetailsModel
    • Components
      • AmountModel
      • AmountModelWithRate
      • BaseableAmountModel
      • CorpModel
      • IbanModel
      • TenantInfo
      • WalletModel
      • WalletLedgerModelV5
      • OrderLegAccount
      • PersonModel
    • Response
      • standard-Validation-Failure
    • Payments
      • VoP
        • VopResponseModel
        • VopRequestModel
        • VopForm
      • counterpartyAccountModelV3
      • ibanSlim
      • specifiedPaymentFee
      • counterpartyAttachmentsResponseModel
      • counterpartyModelV3
      • intermediaryBankAccountModel
      • counterpartyAccountModelV2
      • counterpartyModelV2
      • orderPaymentResponseModel
      • paymentAccountModel
      • paymentAttachmentsResponseModel
      • paymentBlotterItemModelV2
      • paymentCounterpartyAccountModel
      • paymentCounterpartyModel
      • paymentDestinationModel
      • paymentFeesChargeModel
      • paymentFeeSlim
      • paymentForm
      • paymentItemSlimModel
      • paymentSourceForm
      • paymentSourceModel
      • paymentTrackingSource
      • accountSlim
      • accountInfo
      • accountOwnerModel
      • addressModel
    • Responses
      • CorpWalletModelV2
      • FullIdentityResponse
      • IdentityResponse
    • Schemas
      • clientCorpAddressModel
      • rejectForm
      • confirmationDocumentResponseModel
      • invoiceableAmountModel
    • Trading
      • swapInfoModel
      • tickPriceModel
      • quotePriceModel
      • reversableRateModel
      • leg
      • commissionResponseModel
      • forwardRateModel
      • marginResponseModel
      • markToMarketResponseModel
      • orderQuoteResponse
      • orderSettlementResponseModel
      • marketInfoResponseModel
      • rateModel
      • settlementInstructionsModel
      • tickRateModel
      • tradeLimitsModel
      • OrderQuoteForm
  1. MSB

Update a subclient

Pending
Demo
https://api.demo.getneo.com
Demo
https://api.demo.getneo.com
PATCH
/v1/subclients/{id}
Requires the "Subclient / Modify" permission.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Body

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.demo.getneo.com/v1/subclients/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "additionalInformation": {
        "crmId": "string"
    },
    "addresses": {
        "primary": {
            "buildingName": "string",
            "buildingNumber": "string",
            "country": "ESP",
            "countrySubdivision": "string",
            "department": "string",
            "district": "string",
            "floor": "string",
            "postBox": "string",
            "postCode": "string",
            "room": "string",
            "streetName": "string",
            "subDepartment": "string",
            "town": "string",
            "townLocation": "string"
        },
        "billingSameAsPrimary": true,
        "billing": {
            "buildingName": "string",
            "buildingNumber": "string",
            "country": "ESP",
            "countrySubdivision": "string",
            "department": "string",
            "district": "string",
            "floor": "string",
            "postBox": "string",
            "postCode": "string",
            "room": "string",
            "streetName": "string",
            "subDepartment": "string",
            "town": "string",
            "townLocation": "string"
        }
    },
    "details": {
        "name": "string",
        "alias": "string",
        "displayName": "string",
        "taxId": "string",
        "tradeRegistryId": "string",
        "vatNumber": "string"
    },
    "internalInformation": {
        "notes": "string"
    },
    "kyc": {
        "details": {
            "detailedActivityDescription": "string",
            "detailedRelationshipWithEntity": "string",
            "euVatNumber": "string",
            "hasWebsite": true,
            "incorporationDate": "2019-08-24T14:15:22.123Z",
            "industry": "string",
            "monthlyPaymentsCount": 0,
            "monthlyVolumeAmount": 0,
            "tradingCountry": "ESP",
            "tradingName": "string",
            "website": "string"
        }
    },
    "parent": {
        "id": "abcdefghijkl0123456789",
        "alias": "string",
        "name": "string",
        "displayName": "string",
        "vanityId": "string"
    },
    "regulators": {
        "name": "string",
        "country": "ESP",
        "isRegulated": true,
        "licenseNumber": "string"
    }
}'
Response Response Example
{
    "actions": [
        "string"
    ],
    "id": "abcdefghijkl0123456789",
    "vanityId": "string",
    "state": "incomplete",
    "corp": {
        "id": "abcdefghijkl0123456789",
        "alias": "string",
        "name": "string",
        "displayName": "string",
        "vanityId": "string"
    },
    "parent": {
        "id": "abcdefghijkl0123456789",
        "alias": "string",
        "name": "string",
        "displayName": "string",
        "vanityId": "string"
    },
    "additionalInformation": {
        "crmId": "string"
    },
    "addresses": {
        "primary": {
            "buildingName": "string",
            "buildingNumber": "string",
            "country": "ESP",
            "countrySubdivision": "string",
            "department": "string",
            "district": "string",
            "floor": "string",
            "postBox": "string",
            "postCode": "string",
            "room": "string",
            "streetName": "string",
            "subDepartment": "string",
            "town": "string",
            "townLocation": "string"
        },
        "billingSameAsPrimary": true,
        "billing": {
            "buildingName": "string",
            "buildingNumber": "string",
            "country": "ESP",
            "countrySubdivision": "string",
            "department": "string",
            "district": "string",
            "floor": "string",
            "postBox": "string",
            "postCode": "string",
            "room": "string",
            "streetName": "string",
            "subDepartment": "string",
            "town": "string",
            "townLocation": "string"
        }
    },
    "details": {
        "name": "string",
        "alias": "string",
        "displayName": "string",
        "taxId": "string",
        "tradeRegistryId": "string",
        "vatNumber": "string"
    },
    "internalInformation": {
        "notes": "string"
    },
    "kyc": {
        "details": {
            "detailedActivityDescription": "string",
            "detailedRelationshipWithEntity": "string",
            "euVatNumber": "string",
            "hasWebsite": true,
            "incorporationDate": "2019-08-24T14:15:22.123Z",
            "industry": "string",
            "monthlyPaymentsCount": 0,
            "monthlyVolumeAmount": 0,
            "tradingCountry": "ESP",
            "tradingName": "string",
            "website": "string"
        }
    },
    "regulators": {
        "payment": {
            "name": "string",
            "country": "ESP",
            "isRegulated": true,
            "licenseNumber": "string"
        }
    }
}
Modified at 2026-02-25 17:47:47
Previous
Create a new subclient
Next
List payments
Built with